﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using AjaxPro;
using System.Text;
using System.Data.SqlClient;
using Infragistics.Web.UI.ListControls;
using Infragistics.Web.UI.EditorControls;
using System.Collections;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls.WebParts;
using System.IO;
//using System.Windows.Forms;

public partial class WebDataGrid : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Utility.RegisterTypeForAjax(typeof(WebDataGrid));

        if (!IsPostBack)
        {
            if (!IsPostBack)
            {
                Exhibit_BindFirst();
                List<Employee> Details = new List<Employee>();
                Details.Add(new Employee() {HiddenID = 1, SerialNumber = "", ModelNumber = "", CityName = "--SELECT--", CityID = 0, MyDate = DateTime.Now.AddDays(1) });
                Session.Add("MyList", Details);
            }
            WebDataGrid1.DataSource = Session["MyList"];
            WebDataGrid1.DataBind();

        }
    }
    private void Exhibit_BindFirst()
    {
        DataTable dtcity = new DataTable();
        DataRow dr = dtcity.Rows.Add();
        try
        {
            SqlConnection objcon = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["Bulk_EmailConnectionString2"].ToString());
            SqlDataAdapter objda = new SqlDataAdapter("SELECT city_id as CityID,city_name as CityName FROM city_master", objcon);
            objda.Fill(dtcity);
            if (dtcity.Rows.Count > 0)
            {
                dr["CityID"] = "0";
                dr["CityName"] = "--SELECT--";
                WebDropDownProvider3.EditorControl.DataSource = dtcity;
                WebDropDownProvider3.EditorControl.TextField = dtcity.Columns["CityName"].ToString();
                WebDropDownProvider3.EditorControl.ValueField = dtcity.Columns["CityName"].ToString();
            }
        }
        catch (Exception ex)
        {
            throw new Exception(ex.Message);
        }
        finally
        {
            dtcity.Dispose();
        }
    }
    private void BindGrid(DataTable dt)
    {
        WebDataGrid1.ClearDataSource();
        WebDataGrid1.DataSource = dt;
        WebDataGrid1.DataBind();
    }

    [AjaxPro.AjaxMethod]
    public int HiddenID()
    {
        Int32 id = 2;
        Int32? hiddenID = Session["HiddenID"] as Int32?;
        if (hiddenID != null)
        {
            id = hiddenID.Value + 1;
        }
        Session["HiddenID"] = id;

        var MyList = (List<Employee>)Session["MyList"];
        MyList.Add(new Employee() { HiddenID = id, SerialNumber = "", ModelNumber = "", CityName = "--SELECT--", CityID = 0, MyDate = DateTime.Now.AddDays(1) });

        return id;
    }

    [AjaxPro.AjaxMethod]
    public int Get_Cityid(string CityName)
    {
        int CityID = 0;

        DataTable dtcityid = new DataTable();
        try
        {
            SqlConnection objcon = new SqlConnection(System.Configuration.ConfigurationManager.ConnectionStrings["Bulk_EmailConnectionString2"].ToString());
            SqlDataAdapter objda = new SqlDataAdapter("SELECT city_id as CityID,city_name as CityName FROM city_master where city_name= '" + CityName + "'", objcon);
            objda.Fill(dtcityid);
            if (dtcityid.Rows.Count > 0)
            {
                CityID = Convert.ToInt32(dtcityid.Rows[0]["CityID"].ToString());
            }
        }
        catch (Exception ex)
        {
            throw new Exception(ex.Message);
        }
        finally
        {
            dtcityid.Dispose();
        }
        return CityID;
    }

    [AjaxPro.AjaxMethod]
    public void Update_Grid_Cell(int rows, string serialnumber, string modelnumber, string city, int cityid, DateTime date)//,DateTime date)
    {

        List<Employee> Details = new List<Employee>();
        Details = (List<Employee>)Session["MyList"];

        Details[rows].SerialNumber = serialnumber;
        Details[rows].ModelNumber = modelnumber;
        Details[rows].CityName = city;
        Details[rows].CityID = cityid;
        Details[rows].MyDate = date;

    }

    public class Employee
    {
        public int HiddenID { get; set; }
        public string SerialNumber { get; set; }
        public string ModelNumber { get; set; }
        public string CityName { get; set; }
        public int CityID { get; set; }
        public DateTime MyDate { get; set; }

    }


}
